> I think you need to explicitly specify that you want to use older 
> version, because now you can just recompile application and 
> expect it to work with both old and new versions

Only if you call OpenSSL APIs directly, all ICS SSL functions work
safely with old and new versions.  

But I will revisit the exports, and ensure that the various cleanup
APIs that are now redundant are stubbed so they cause an exception if
still called. 

> You can reduce size by using feature toggle conditional defines, 
> I would also like to have smaller size since I just use few 
> functions.

I hate conditional defines, they make maintenance and use of ICS very
much harder.

Angus

-- 
To unsubscribe or change your settings for TWSocket mailing list
please goto http://lists.elists.org/cgi-bin/mailman/listinfo/twsocket
Visit our website at http://www.overbyte.be

Reply via email to